Subject: Maker 2.00 uploaded to CPAN
From: Joshua Pritikin <[email-masked]>
Date: 6 Jul 1997 20:07:47 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Name           DSLI  Description                                  Info
-----------    ----  -------------------------------------------- -----
Maker          bdpO  Yet Another Make Replacement                 JPRIT

Why yet another make?  I have never found a make program that I
thought was flexible enough and easy enough.  In fact, a year of two
ago I wrote a make package similar to this one but it turned out to
have some design flaws and I ended up discarding it.  Here are some
features that make this maker unique:

o  Rules have two phases of execution.  Once when they are added
to the rule tree and once when they are executed.  The complete power
of perl is available at both times.  Rules do not need to be written
only in terms of pattern matching.  This makes for more organic, 
intelligent behavior.

o  The reliance of the rule selection engine is kept to an absolute
minimum.  Be-files state exactly what to do in a direct procedural
fashion.  The full power of perl is available to factor out duplicate
information.

I have little hope of seeing this module gain widespread use.
/bin/make is far too entrenched, even if an alternative is superior in
all respects.  Furthermore, as more people start using Perl and Java,
makefiles will become a headache of the past.